<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
<script>
let string = []
function snapCrackle(maxValue = 12) {
    for(let n = 1; n <= maxValue; n++){
        if(n % 5 === 0 && n % 2 !== 0){
            string.push("snapCrackle")
        }else if(n % 5 === 0){
            string.push("Crackle")
        }else if(n % 5 === 0 || n % 2 !== 1){
            string.push(n)
        }else if(n % 2 !== 0){
            string.push("Snap")
        }
    }
    return string
}
console.log(snapCrackle().join(' , '));

</script>
</body>
</html>
